<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.53
Name: Allergie Spätreaktionen (Dermatologie)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445">
   <title>Allergie Spätreaktionen (Dermatologie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]
Item: (AllergieSpaetreaktionenDermatologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]
Item: (AllergieSpaetreaktionenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]"
         id="d41e16184-false-d167271e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="string(@classCode) = ('OBS')">(AllergieSpaetreaktionenDermatologie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="string(@moodCode) = ('EVN')">(AllergieSpaetreaktionenDermatologie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']) &gt;= 1">(AllergieSpaetreaktionenDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']) &lt;= 1">(AllergieSpaetreaktionenDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="count(hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(AllergieSpaetreaktionenDermatologie): Element hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="count(hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(AllergieSpaetreaktionenDermatologie): Element hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(AllergieSpaetreaktionenDermatologie): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(AllergieSpaetreaktionenDermatologie): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']
Item: (AllergieSpaetreaktionenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']"
         id="d41e16190-false-d167318e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergieSpaetreaktionenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.53')">(AllergieSpaetreaktionenDermatologie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.53' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:id
Item: (AllergieSpaetreaktionenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:id"
         id="d41e16195-false-d167332e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergieSpaetreaktionenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (AllergieSpaetreaktionenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e16197-false-d167343e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergieSpaetreaktionenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="@nullFlavor or (@code='52473-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Allergy or cause of reaction')">(AllergieSpaetreaktionenDermatologie): Der Elementinhalt MUSS einer von 'code '52473-6' codeSystem '2.16.840.1.113883.6.1' displayName='Allergy or cause of reaction'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:text[not(@nullFlavor)]
Item: (AllergieSpaetreaktionenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.53']]/hl7:text[not(@nullFlavor)]"
         id="d41e16203-false-d167359e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AllergieSpaetreaktionenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
