<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.58
Name: Psoriasis (Dermatalogie)
Description: Psoriasis in der Familie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857">
   <title>Psoriasis (Dermatalogie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.58
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]
Item: (PsoriasisDermatalogie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.58
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]
Item: (PsoriasisDermatalogie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]"
         id="d41e16339-false-d167775e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="string(@classCode) = ('OBS')">(PsoriasisDermatalogie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="string(@moodCode) = ('EVN')">(PsoriasisDermatalogie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']) &gt;= 1">(PsoriasisDermatalogie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']) &lt;= 1">(PsoriasisDermatalogie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="count(hl7:code[(@code = '9014002' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &gt;= 1">(PsoriasisDermatalogie): Element hl7:code[(@code = '9014002' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="count(hl7:code[(@code = '9014002' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]) &lt;= 1">(PsoriasisDermatalogie): Element hl7:code[(@code = '9014002' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(PsoriasisDermatalogie): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(PsoriasisDermatalogie): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.58
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']
Item: (PsoriasisDermatalogie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']"
         id="d41e16345-false-d167822e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PsoriasisDermatalogie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.58')">(PsoriasisDermatalogie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.58' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.58
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:id
Item: (PsoriasisDermatalogie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:id"
         id="d41e16350-false-d167836e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PsoriasisDermatalogie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.58
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:code[(@code = '9014002' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]
Item: (PsoriasisDermatalogie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:code[(@code = '9014002' and @codeSystem = '2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d41e16352-false-d167847e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PsoriasisDermatalogie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="@nullFlavor or (@code='9014002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Psoriasis')">(PsoriasisDermatalogie): Der Elementinhalt MUSS einer von 'code '9014002' codeSystem '2.16.840.1.113883.6.96' displayName='Psoriasis'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.58
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:value[not(@nullFlavor)]
Item: (PsoriasisDermatalogie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.58']]/hl7:value[not(@nullFlavor)]"
         id="d41e16358-false-d167863e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PsoriasisDermatalogie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
