<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4313
Name: Konsil Diagnosekonfidenz
Description: Angabe der Diagnosekonfidenz bezogen auf das gesamte Konsilergebnis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4313-2020-04-05T212838">
   <title>Konsil Diagnosekonfidenz</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4313
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]
Item: (Diagnosekonfidenz)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4313
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]
Item: (Diagnosekonfidenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]"
         id="d41e9441-false-d47810e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="string(@classCode) = ('OBS')">(Diagnosekonfidenz): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="string(@moodCode) = ('EVN')">(Diagnosekonfidenz): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4313']) &gt;= 1">(Diagnosekonfidenz): Element hl7:templateId[@root = '1.2.276.0.76.10.4313'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4313']) &lt;= 1">(Diagnosekonfidenz): Element hl7:templateId[@root = '1.2.276.0.76.10.4313'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="count(hl7:code[(@code = '91585-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Diagnosekonfidenz): Element hl7:code[(@code = '91585-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="count(hl7:code[(@code = '91585-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Diagnosekonfidenz): Element hl7:code[(@code = '91585-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(Diagnosekonfidenz): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Diagnosekonfidenz): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4313
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:templateId[@root = '1.2.276.0.76.10.4313']
Item: (Diagnosekonfidenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:templateId[@root = '1.2.276.0.76.10.4313']"
         id="d41e9447-false-d47860e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosekonfidenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="string(@root) = ('1.2.276.0.76.10.4313')">(Diagnosekonfidenz): Der Wert von root MUSS '1.2.276.0.76.10.4313' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4313
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:id
Item: (Diagnosekonfidenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:id"
         id="d41e9452-false-d47874e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosekonfidenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4313
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:code[(@code = '91585-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Diagnosekonfidenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:code[(@code = '91585-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e9454-false-d47885e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosekonfidenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="@nullFlavor or (@code='91585-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reliability of information source')">(Diagnosekonfidenz): Der Elementinhalt MUSS einer von 'code '91585-0' codeSystem '2.16.840.1.113883.6.1' displayName='Reliability of information source'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4313
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Diagnosekonfidenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4313']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d41e9460-false-d47904e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosekonfidenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4313-2020-04-05T212838.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.471-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Diagnosekonfidenz): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.471 Konsil Diagnosekonfidenz (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
