<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4316
Name: Konsil Feedback Bildqualität
Description: Konsil Feedback zur Bildqualität
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4316-2020-04-06T154050">
   <title>Konsil Feedback Bildqualität</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4316
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]
Item: (KonsilFeedbackBildqualitaet)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4316
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]"
         id="d41e9609-false-d48219e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="string(@classCode) = ('OBS')">(KonsilFeedbackBildqualitaet): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="string(@moodCode) = ('EVN')">(KonsilFeedbackBildqualitaet): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4316']) &gt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:templateId[@root = '1.2.276.0.76.10.4316'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4316']) &lt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:templateId[@root = '1.2.276.0.76.10.4316'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="count(hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &gt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="count(hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &lt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(KonsilFeedbackBildqualitaet): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4316
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:templateId[@root = '1.2.276.0.76.10.4316']
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:templateId[@root = '1.2.276.0.76.10.4316']"
         id="d41e9615-false-d48269e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="string(@root) = ('1.2.276.0.76.10.4316')">(KonsilFeedbackBildqualitaet): Der Wert von root MUSS '1.2.276.0.76.10.4316' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4316
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:id
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:id"
         id="d41e9620-false-d48283e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4316
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:code[(@code = 'BILDQUALITAET' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]"
         id="d41e9622-false-d48294e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="@nullFlavor or (@code='BILDQUALITAET' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.11' and @displayName='Bildqualität')">(KonsilFeedbackBildqualitaet): Der Elementinhalt MUSS einer von 'code 'BILDQUALITAET' codeSystem '2.16.840.1.113883.3.1937.777.26.5.11' displayName='Bildqualität'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4316
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (KonsilFeedbackBildqualitaet)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4316']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d41e9628-false-d48313e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackBildqualitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210104T113303/tmp-1.2.276.0.76.10.4316-2020-04-06T154050.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KonsilFeedbackBildqualitaet): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.470 Konsil Bewertung Angabe (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
